package com.goafanti.user.bo;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.Size;

import com.goafanti.common.constant.ErrorConstants;

public class InputOrgPro {
	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	iid;

	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	pid;

	@Size(min = 0, max = 6, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	identityType;

	@Size(min = 0, max = 45, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	companyName;

	@Max(value = 99, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private Integer	locationProvince;

	@Max(value = 999, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private Integer	locationCity;

	@Max(value = 9999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	locationArea;

	@Size(min = 0, max = 12, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	unitSize;

	@Size(min = 0, max = 1000, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	companyIntroduction;

	@Size(min = 0, max = 45, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	homeUnit;

	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	logoUrl;

	@Size(min = 0, max = 1000, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	publicityPictureUrl;

	@Size(min = 0, max = 45, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	qualification;

	@Max(value = 99999999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	turnover;

	@Size(min = 0, max = 45, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	collegeAttribute;

	@Size(min = 0, max = 12, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	collegeEstablishTime;

	@Max(value = 99999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	academician;

	@Max(value = 99999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	doctoralTutor;

	@Max(value = 99999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	masterTutor;

	@Max(value = 99999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	otherExpert;

	@Max(value = 99999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	nationalLab;

	@Max(value = 99999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	educationLab;

	@Max(value = 99999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	enterpriseCenter;

	@Max(value = 99999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	otherCenter;

	@Size(min = 0, max = 12, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	institutionEstablishTime;
	
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Max(value = 9, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer companyType;
	
	public String getIid() {
		return iid;
	}

	public void setIid(String iid) {
		this.iid = iid;
	}

	public String getPid() {
		return pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public String getIdentityType() {
		return identityType;
	}

	public void setIdentityType(String identityType) {
		this.identityType = identityType;
	}

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public Integer getLocationProvince() {
		return locationProvince;
	}

	public void setLocationProvince(Integer locationProvince) {
		this.locationProvince = locationProvince;
	}

	public Integer getLocationCity() {
		return locationCity;
	}

	public void setLocationCity(Integer locationCity) {
		this.locationCity = locationCity;
	}

	public Integer getLocationArea() {
		return locationArea;
	}

	public void setLocationArea(Integer locationArea) {
		this.locationArea = locationArea;
	}

	public String getUnitSize() {
		return unitSize;
	}

	public void setUnitSize(String unitSize) {
		this.unitSize = unitSize;
	}

	public String getCompanyIntroduction() {
		return companyIntroduction;
	}

	public void setCompanyIntroduction(String companyIntroduction) {
		this.companyIntroduction = companyIntroduction;
	}

	public String getHomeUnit() {
		return homeUnit;
	}

	public void setHomeUnit(String homeUnit) {
		this.homeUnit = homeUnit;
	}

	public String getLogoUrl() {
		return logoUrl;
	}

	public void setLogoUrl(String logoUrl) {
		this.logoUrl = logoUrl;
	}

	public String getPublicityPictureUrl() {
		return publicityPictureUrl;
	}

	public void setPublicityPictureUrl(String publicityPictureUrl) {
		this.publicityPictureUrl = publicityPictureUrl;
	}

	public String getQualification() {
		return qualification;
	}

	public void setQualification(String qualification) {
		this.qualification = qualification;
	}

	public Integer getTurnover() {
		return turnover;
	}

	public void setTurnover(Integer turnover) {
		this.turnover = turnover;
	}

	public String getCollegeAttribute() {
		return collegeAttribute;
	}

	public void setCollegeAttribute(String collegeAttribute) {
		this.collegeAttribute = collegeAttribute;
	}

	public String getCollegeEstablishTime() {
		return collegeEstablishTime;
	}

	public void setCollegeEstablishTime(String collegeEstablishTime) {
		this.collegeEstablishTime = collegeEstablishTime;
	}

	public Integer getAcademician() {
		return academician;
	}

	public void setAcademician(Integer academician) {
		this.academician = academician;
	}

	public Integer getDoctoralTutor() {
		return doctoralTutor;
	}

	public void setDoctoralTutor(Integer doctoralTutor) {
		this.doctoralTutor = doctoralTutor;
	}

	public Integer getMasterTutor() {
		return masterTutor;
	}

	public void setMasterTutor(Integer masterTutor) {
		this.masterTutor = masterTutor;
	}

	public Integer getOtherExpert() {
		return otherExpert;
	}

	public void setOtherExpert(Integer otherExpert) {
		this.otherExpert = otherExpert;
	}

	public Integer getNationalLab() {
		return nationalLab;
	}

	public void setNationalLab(Integer nationalLab) {
		this.nationalLab = nationalLab;
	}

	public Integer getEducationLab() {
		return educationLab;
	}

	public void setEducationLab(Integer educationLab) {
		this.educationLab = educationLab;
	}

	public Integer getEnterpriseCenter() {
		return enterpriseCenter;
	}

	public void setEnterpriseCenter(Integer enterpriseCenter) {
		this.enterpriseCenter = enterpriseCenter;
	}

	public Integer getOtherCenter() {
		return otherCenter;
	}

	public void setOtherCenter(Integer otherCenter) {
		this.otherCenter = otherCenter;
	}

	public String getInstitutionEstablishTime() {
		return institutionEstablishTime;
	}

	public void setInstitutionEstablishTime(String institutionEstablishTime) {
		this.institutionEstablishTime = institutionEstablishTime;
	}

	public Integer getCompanyType() {
		return companyType;
	}

	public void setCompanyType(Integer companyType) {
		this.companyType = companyType;
	}
	
}
